diff -Nurd poppler-0.6.4/configure poppler-0.6.4-new/configure
--- poppler-0.6.4/configure	2008-01-25 17:12:30.000000000 -0500
+++ poppler-0.6.4-new/configure	2011-01-10 18:05:39.000000000 -0500
@@ -25109,7 +25109,7 @@
 fi
 
 
-jpeg_incdirs="`eval echo $includedir` /usr/include /usr/local/include "
+jpeg_incdirs="`eval echo $includedir` /usr/include /usr/local/include @PREFIX@/include"
 
 jpeg_incdir=NO
 for i in $jpeg_incdirs;
diff -Nurd poppler-0.6.4/glib/Makefile.in poppler-0.6.4-new/glib/Makefile.in
--- poppler-0.6.4/glib/Makefile.in	2008-01-25 17:12:27.000000000 -0500
+++ poppler-0.6.4-new/glib/Makefile.in	2011-01-10 18:05:39.000000000 -0500
@@ -291,10 +291,10 @@
 	-DG_LOG_DOMAIN=\"Poppler\"		\
 	-I$(top_srcdir)				\
 	-I$(top_srcdir)/poppler			\
-	$(cairo_includes)			\
-	$(POPPLER_GLIB_CFLAGS)			\
 	$(FREETYPE_CFLAGS)			\
 	$(FONTCONFIG_CFLAGS)                    \
+	$(cairo_includes)			\
+	$(POPPLER_GLIB_CFLAGS)			\
 	$(cairo_includes)			
 
 stamp_files = stamp-poppler-enums.h
@@ -325,9 +325,9 @@
 
 libpoppler_glib_la_LIBADD = \
 	$(top_builddir)/poppler/libpoppler.la		\
-	$(POPPLER_GLIB_LIBS)				\
 	$(FREETYPE_LIBS)				\
 	$(FONTCONFIG_LIBS)				\
+	$(POPPLER_GLIB_LIBS)				\
 	$(cairo_libs)
 
 libpoppler_glib_la_LDFLAGS = -version-info 2:0:0
@@ -337,8 +337,8 @@
 test_poppler_glib_LDADD = \
 	$(top_builddir)/poppler/libpoppler.la	\
 	libpoppler-glib.la			\
-	$(POPPLER_GLIB_LIBS)			\
 	$(FREETYPE_LIBS)			\
+	$(POPPLER_GLIB_LIBS)			\
 	$(cairo_libs)
 
 BUILT_SOURCES = \
diff -Nurd poppler-0.6.4/glib/reference/Makefile.in poppler-0.6.4-new/glib/reference/Makefile.in
--- poppler-0.6.4/glib/reference/Makefile.in	2008-01-25 17:12:27.000000000 -0500
+++ poppler-0.6.4-new/glib/reference/Makefile.in	2011-01-10 18:05:39.000000000 -0500
@@ -290,14 +290,14 @@
 # e.g. INCLUDES=-I$(top_srcdir) -I$(top_builddir) $(GTK_DEBUG_FLAGS)
 # e.g. GTKDOC_LIBS=$(top_builddir)/gtk/$(gtktargetlib)
 INCLUDES = -I$(top_srcdir)/glib -I$(top_builddir)/glib	\
+	$(FREETYPE_CFLAGS) \
 	$(CAIRO_CFLAGS)					\
-	$(POPPLER_GLIB_CFLAGS)				\
-	$(FREETYPE_CFLAGS)
+	$(POPPLER_GLIB_CFLAGS)
 
 GTKDOC_LIBS = $(top_builddir)/poppler/libpoppler.la	\
 	$(top_builddir)/glib/libpoppler-glib.la		\
-	$(POPPLER_GLIB_LIBS)				\
 	$(FREETYPE_LIBS)				\
+	$(POPPLER_GLIB_LIBS)				\
 	$(cairo_libs)
 
 @GTK_DOC_USE_LIBTOOL_FALSE@GTKDOC_CC = $(CC) $(INCLUDES) $(AM_CFLAGS) $(CFLAGS)
diff -Nurd poppler-0.6.4/poppler/Makefile.in poppler-0.6.4-new/poppler/Makefile.in
--- poppler-0.6.4/poppler/Makefile.in	2008-01-25 17:12:28.000000000 -0500
+++ poppler-0.6.4-new/poppler/Makefile.in	2011-01-10 18:05:39.000000000 -0500
@@ -386,12 +386,12 @@
 INCLUDES = \
 	-I$(top_srcdir)				\
 	-I$(top_srcdir)/goo			\
+	$(FREETYPE_CFLAGS)			\
+	$(FONTCONFIG_CFLAGS) \
 	$(splash_includes)			\
 	$(cairo_includes)			\
 	$(arthur_includes)			\
-	$(abiword_includes)			\
-	$(FREETYPE_CFLAGS)			\
-	$(FONTCONFIG_CFLAGS)
+	$(abiword_includes)			
 
 lib_LTLIBRARIES = libpoppler.la
 noinst_LTLIBRARIES = $(poppler_cairo)		\
@@ -400,12 +400,12 @@
 libpoppler_la_LIBADD = \
 	$(top_builddir)/goo/libgoo.la		\
 	$(top_builddir)/fofi/libfofi.la		\
+	$(FREETYPE_LIBS)			\
+	$(FONTCONFIG_LIBS)			\
 	$(splash_libs)				\
 	$(libjpeg_libs)				\
 	$(zlib_libs)				\
 	$(abiword_libs)				\
-	$(FREETYPE_LIBS)			\
-	$(FONTCONFIG_LIBS)			\
 	$(win32_libs)
 
 libpoppler_la_LDFLAGS = -version-info 2:0:0 @create_shared_lib@
diff -Nurd poppler-0.6.4/poppler-cairo.pc.in poppler-0.6.4-new/poppler-cairo.pc.in
--- poppler-0.6.4/poppler-cairo.pc.in	2008-01-21 14:59:14.000000000 -0500
+++ poppler-0.6.4-new/poppler-cairo.pc.in	2011-01-10 18:06:01.000000000 -0500
@@ -6,4 +6,4 @@
 Name: poppler-cairo
 Description: Cairo backend for Poppler PDF rendering library
 Version: @VERSION@
-Requires: poppler = @VERSION@ cairo >= @CAIRO_VERSION@
+Requires: poppler = @VERSION@
diff -Nurd poppler-0.6.4/qt/Makefile.in poppler-0.6.4-new/qt/Makefile.in
--- poppler-0.6.4/qt/Makefile.in	2008-01-25 17:12:28.000000000 -0500
+++ poppler-0.6.4-new/qt/Makefile.in	2011-01-10 18:05:39.000000000 -0500
@@ -267,10 +267,10 @@
 INCLUDES = \
 	-I$(top_srcdir)				\
 	-I$(top_srcdir)/poppler			\
-	$(cairo_includes)			\
-	$(POPPLER_QT_CXXFLAGS)			\
 	$(FREETYPE_CFLAGS)			\
-	$(FONTCONFIG_CFLAGS)
+	$(FONTCONFIG_CFLAGS) \
+	$(cairo_includes)			\
+	$(POPPLER_QT_CXXFLAGS)			
 
 poppler_includedir = $(includedir)/poppler/qt3
 poppler_include_HEADERS = \
@@ -290,9 +290,9 @@
 
 libpoppler_qt_la_LIBADD = \
 	$(top_builddir)/poppler/libpoppler.la	\
-	$(POPPLER_QT_LIBS)			\
 	$(FREETYPE_LIBS)			\
-	$(FONTCONFIG_LIBS)
+	$(FONTCONFIG_LIBS) \
+	$(POPPLER_QT_LIBS)			
 
 libpoppler_qt_la_LDFLAGS = -version-info 2:0:0
 test_poppler_qt_SOURCES = \
@@ -301,8 +301,8 @@
 test_poppler_qt_LDADD = \
 	$(top_builddir)/poppler/libpoppler.la	\
 	libpoppler-qt.la			\
-	$(POPPLER_QT_LIBS)			\
-	$(FREETYPE_LIBS)
+	$(FREETYPE_LIBS) \
+	$(POPPLER_QT_LIBS)			
 
 all: all-am
 
diff -Nurd poppler-0.6.4/test/Makefile.in poppler-0.6.4-new/test/Makefile.in
--- poppler-0.6.4/test/Makefile.in	2008-01-25 17:12:29.000000000 -0500
+++ poppler-0.6.4-new/test/Makefile.in	2011-01-10 18:05:39.000000000 -0500
@@ -264,17 +264,17 @@
 @BUILD_CAIRO_OUTPUT_TRUE@@BUILD_GTK_TEST_TRUE@	pdf_inspector
 
 @BUILD_CAIRO_OUTPUT_TRUE@@BUILD_GTK_TEST_TRUE@cairo_includes = \
-@BUILD_CAIRO_OUTPUT_TRUE@@BUILD_GTK_TEST_TRUE@	$(CAIRO_CFLAGS)				\
-@BUILD_CAIRO_OUTPUT_TRUE@@BUILD_GTK_TEST_TRUE@	$(FREETYPE_CFLAGS)
+@BUILD_CAIRO_OUTPUT_TRUE@@BUILD_GTK_TEST_TRUE@	$(FREETYPE_CFLAGS) \
+@BUILD_CAIRO_OUTPUT_TRUE@@BUILD_GTK_TEST_TRUE@	$(CAIRO_CFLAGS)				
 
 INCLUDES = \
 	-I$(top_srcdir)				\
 	-I$(top_srcdir)/poppler			\
 	-I$(top_srcdir)/glib			\
 	-I$(top_builddir)/glib			\
+	$(FONTCONFIG_CFLAGS) \
 	$(cairo_includes)			\
-	$(GTK_TEST_CFLAGS)			\
-	$(FONTCONFIG_CFLAGS)
+	$(GTK_TEST_CFLAGS)			
 
 gtk_splash_test_SOURCES = \
        gtk-splash-test.cc
@@ -289,9 +289,9 @@
 gtk_cairo_test_LDADD = \
 	$(top_builddir)/poppler/libpoppler.la		\
 	$(top_builddir)/glib/libpoppler-glib.la		\
+	$(FONTCONFIG_LIBS) \
 	$(CAIRO_LIBS)					\
-	$(GTK_TEST_LIBS)				\
-	$(FONTCONFIG_LIBS)
+	$(GTK_TEST_LIBS)				
 
 pdf_inspector_SOURCES = \
        pdf-inspector.cc
@@ -299,8 +299,8 @@
 pdf_inspector_LDADD = \
 	$(top_builddir)/poppler/libpoppler.la		\
 	$(top_builddir)/poppler/libpoppler-cairo.la	\
-	$(CAIRO_LIBS)					\
 	$(FREETYPE_LIBS)				\
+	$(CAIRO_LIBS)					\
 	$(GTK_TEST_LIBS)
 
 EXTRA_DIST = \
diff -Nurd poppler-0.6.4/xpdfrc.poppler2 poppler-0.6.4-new/xpdfrc.poppler2
--- poppler-0.6.4/xpdfrc.poppler2	1969-12-31 19:00:00.000000000 -0500
+++ poppler-0.6.4-new/xpdfrc.poppler2	2011-01-10 18:05:39.000000000 -0500
@@ -0,0 +1,91 @@
+#========================================================================
+#
+# Sample xpdfrc file
+#
+# The Xpdf tools look for a config file in two places:
+# 1. ~/.xpdfrc
+# 2. in a system-wide directory, typically /usr/local/etc/xpdfrc
+#
+# This sample config file demonstrates some of the more common
+# configuration options.  Everything here is commented out.  You
+# should edit things (especially the file/directory paths, since
+# they'll likely be different on your system), and uncomment whichever
+# options you want to use.  For complete details on config file syntax
+# and available options, please see the xpdfrc(5) man page.
+#
+# Also, the Xpdf language support packages each include a set of
+# options to be added to the xpdfrc file.
+#
+# http://www.foolabs.com/xpdf/
+#
+#========================================================================
+
+#----- display fonts
+
+# These map the Base-14 fonts to the Type 1 fonts that ship with
+# ghostscript.  You'll almost certainly want to use something like
+# this, but you'll need to adjust this to point to wherever
+# ghostscript is installed on your system.  (But if the fonts are
+# installed in a "standard" location, xpdf will find them
+# automatically.)
+
+displayFontT1 Times-Roman              @PREFIX@/share/ghostscript/fonts/n021003l.pfb
+displayFontT1 Times-Italic             @PREFIX@/share/ghostscript/fonts/n021023l.pfb
+displayFontT1 Times-Bold               @PREFIX@/share/ghostscript/fonts/n021004l.pfb
+displayFontT1 Times-BoldItalic         @PREFIX@/share/ghostscript/fonts/n021024l.pfb
+displayFontT1 Helvetica                @PREFIX@/share/ghostscript/fonts/n019003l.pfb
+displayFontT1 Helvetica-Oblique        @PREFIX@/share/ghostscript/fonts/n019023l.pfb
+displayFontT1 Helvetica-Bold           @PREFIX@/share/ghostscript/fonts/n019004l.pfb
+displayFontT1 Helvetica-BoldOblique    @PREFIX@/share/ghostscript/fonts/n019024l.pfb
+displayFontT1 Courier                  @PREFIX@/share/ghostscript/fonts/n022003l.pfb
+displayFontT1 Courier-Oblique          @PREFIX@/share/ghostscript/fonts/n022023l.pfb
+displayFontT1 Courier-Bold             @PREFIX@/share/ghostscript/fonts/n022004l.pfb
+displayFontT1 Courier-BoldOblique      @PREFIX@/share/ghostscript/fonts/n022024l.pfb
+displayFontT1 Symbol                   @PREFIX@/share/ghostscript/fonts/s050000l.pfb
+displayFontT1 ZapfDingbats             @PREFIX@/share/ghostscript/fonts/d050000l.pfb
+
+# If you need to display PDF files that refer to non-embedded fonts,
+# you should add one or more fontDir options to point to the
+# directories containing the font files.  Xpdf will only look at .pfa,
+# .pfb, and .ttf files in those directories (other files will simply
+# be ignored).
+
+fontDir                /usr/local/fonts/bakoma
+
+#----- PostScript output control
+
+# Set the default PostScript file or command.
+
+psFile                 "|lpr -Pmyprinter"
+
+# Set the default PostScript paper size -- this can be letter, legal,
+# A4, or A3.  You can also specify a paper size as width and height
+# (in points).
+
+psPaperSize            letter
+
+#----- text output control
+
+# Choose a text encoding for copy-and-paste and for pdftotext output.
+# The Latin1, ASCII7, and UTF-8 encodings are built into Xpdf.  Other
+# encodings are available in the language support packages.
+
+textEncoding           UTF-8
+
+# Choose the end-of-line convention for multi-line copy-and-past and
+# for pdftotext output.  The available options are unix, mac, and dos.
+
+textEOL                unix
+
+#----- misc settings
+
+# Enable t1lib, FreeType, and anti-aliased text.
+
+enableT1lib            yes
+enableFreeType         yes
+antialias              yes
+
+# Set the command used to run a web browser when a URL hyperlink is
+# clicked.
+
+urlCommand     "open 'openURL(%s)'"