diff -Nurd -x'*~' poppler-0.10.7.orig/configure poppler-0.10.7/configure
--- poppler-0.10.7.orig/configure	2009-05-16 11:40:49.000000000 -0400
+++ poppler-0.10.7/configure	2013-03-18 04:44:55.000000000 -0400
@@ -17781,6 +17781,7 @@
     create_shared_lib="-no-undefined"
   ;;
 esac
+create_shared_lib="-no-undefined"
 
 
 
@@ -23889,7 +23890,7 @@
 
 qt_test_include="qstyle.h"
 qt_test_la_library="libqt-mt.la"
-qt_test_library="libqt-mt.so"
+qt_test_library="libqt-mt.dylib"
 
 { $as_echo "$as_me:$LINENO: checking for Qt headers" >&5
 $as_echo_n "checking for Qt headers... " >&6; }
@@ -23939,7 +23940,7 @@
     save_CXXFLAGS=$CXXFLAGS
     save_LIBS=$LIBS
     CXXFLAGS="$CXXFLAGS -I$qt_incdir"
-    LIBS="$LIBS $qt_libdir/$qt_test_library"
+    LIBS="$LIBS -L$qt_libdir -lqt-mt"
     { $as_echo "$as_me:$LINENO: checking if Qt needs -pthread" >&5
 $as_echo_n "checking if Qt needs -pthread... " >&6; }
     cat >conftest.$ac_ext <<_ACEOF
@@ -24058,7 +24059,7 @@
     fi
 
     POPPLER_QT_CXXFLAGS="-I$qt_incdir"
-    POPPLER_QT_LIBS="$qtpthread $qt_libdir/$qt_test_library"
+    POPPLER_QT_LIBS="$qtpthread -L$qt_libdir -lqt-mt"
     :
 else
     { { $as_echo "$as_me:$LINENO: error: in \`$ac_pwd':" >&5
@@ -24140,7 +24141,7 @@
     save_CXXFLAGS=$CXXFLAGS
     save_LIBS=$LIBS
     CXXFLAGS="$CXXFLAGS -I$qt_incdir"
-    LIBS="$LIBS $qt_libdir/$qt_test_library"
+    LIBS="$LIBS -L$qt_libdir -lqt-mt"
     { $as_echo "$as_me:$LINENO: checking if Qt needs -pthread" >&5
 $as_echo_n "checking if Qt needs -pthread... " >&6; }
     cat >conftest.$ac_ext <<_ACEOF
@@ -24259,7 +24260,7 @@
     fi
 
     POPPLER_QT_CXXFLAGS="-I$qt_incdir"
-    POPPLER_QT_LIBS="$qtpthread $qt_libdir/$qt_test_library"
+    POPPLER_QT_LIBS="$qtpthread -L$qt_libdir -lqt-mt"
     enable_poppler_qt="yes"
 else
     enable_poppler_qt="no"
@@ -25140,14 +25141,6 @@
 		-fno-common $CXXFLAGS" ;;
 esac
 
-case $($PKG_CONFIG --version) in
-  0.?|0.10-7)
-    PC_REQUIRES_PRIVATE="";
-    PC_REQUIRES="poppler = $VERSION";;
-  *)
-    PC_REQUIRES_PRIVATE="Requires.private: poppler = $VERSION";
-    PC_REQUIRES="";;
-esac
 
 
 
diff -Nurd -x'*~' poppler-0.10.7.orig/glib/Makefile.in poppler-0.10.7/glib/Makefile.in
--- poppler-0.10.7.orig/glib/Makefile.in	2009-05-16 11:40:50.000000000 -0400
+++ poppler-0.10.7/glib/Makefile.in	2009-06-26 03:31:15.000000000 -0400
@@ -65,7 +65,7 @@
 @BUILD_CAIRO_OUTPUT_TRUE@am__DEPENDENCIES_2 = $(top_builddir)/poppler/libpoppler-cairo.la \
 @BUILD_CAIRO_OUTPUT_TRUE@	$(am__DEPENDENCIES_1)
 libpoppler_glib_la_DEPENDENCIES =  \
-	$(top_builddir)/poppler/libpoppler.la $(am__DEPENDENCIES_1) \
+	$(am__DEPENDENCIES_1) \
 	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
 	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_2)
 am__objects_1 = poppler-enums.lo
@@ -82,7 +82,6 @@
 @BUILD_WITH_GDK_TRUE@	test-poppler-glib.$(OBJEXT)
 test_poppler_glib_OBJECTS = $(am_test_poppler_glib_OBJECTS)
 @BUILD_WITH_GDK_TRUE@test_poppler_glib_DEPENDENCIES =  \
-@BUILD_WITH_GDK_TRUE@	$(top_builddir)/poppler/libpoppler.la \
 @BUILD_WITH_GDK_TRUE@	libpoppler-glib.la $(am__DEPENDENCIES_1) \
 @BUILD_WITH_GDK_TRUE@	$(am__DEPENDENCIES_1) \
 @BUILD_WITH_GDK_TRUE@	$(am__DEPENDENCIES_1) \
@@ -339,7 +338,7 @@
 	poppler-private.h
 
 libpoppler_glib_la_LIBADD = \
-	$(top_builddir)/poppler/libpoppler.la		\
+	-lpoppler	\
 	$(POPPLER_GLIB_LIBS)				\
 	$(GDK_LIBS)					\
 	$(FREETYPE_LIBS)				\
@@ -351,7 +350,7 @@
 @BUILD_WITH_GDK_TRUE@       test-poppler-glib.cc
 
 @BUILD_WITH_GDK_TRUE@test_poppler_glib_LDADD = \
-@BUILD_WITH_GDK_TRUE@	$(top_builddir)/poppler/libpoppler.la	\
+@BUILD_WITH_GDK_TRUE@	-lpoppler \
 @BUILD_WITH_GDK_TRUE@	libpoppler-glib.la			\
 @BUILD_WITH_GDK_TRUE@	$(POPPLER_GLIB_LIBS)			\
 @BUILD_WITH_GDK_TRUE@	$(GDK_LIBS)				\
diff -Nurd -x'*~' poppler-0.10.7.orig/glib/demo/Makefile.in poppler-0.10.7/glib/demo/Makefile.in
--- poppler-0.10.7.orig/glib/demo/Makefile.in	2009-05-16 11:40:50.000000000 -0400
+++ poppler-0.10.7/glib/demo/Makefile.in	2009-06-26 03:31:15.000000000 -0400
@@ -59,7 +59,7 @@
 am__DEPENDENCIES_1 =
 poppler_glib_demo_DEPENDENCIES =  \
 	$(top_builddir)/glib/libpoppler-glib.la \
-	$(top_builddir)/poppler/libpoppler.la $(am__DEPENDENCIES_1)
+	$(am__DEPENDENCIES_1)
 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir) -I$(top_builddir)/poppler
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
@@ -285,7 +285,7 @@
 
 LDADD = \
 	$(top_builddir)/glib/libpoppler-glib.la	\
-	$(top_builddir)/poppler/libpoppler.la	\
+	-lpoppler	\
 	$(GTK_TEST_LIBS)
 
 all: all-am
diff -Nurd -x'*~' poppler-0.10.7.orig/glib/reference/Makefile.in poppler-0.10.7/glib/reference/Makefile.in
--- poppler-0.10.7.orig/glib/reference/Makefile.in	2009-05-16 11:40:50.000000000 -0400
+++ poppler-0.10.7/glib/reference/Makefile.in	2009-06-26 03:31:15.000000000 -0400
@@ -295,7 +295,7 @@
 	$(GDK_CFLAGS)					\
 	$(FREETYPE_CFLAGS)
 
-GTKDOC_LIBS = $(top_builddir)/poppler/libpoppler.la	\
+GTKDOC_LIBS = -lpoppler	\
 	$(top_builddir)/glib/libpoppler-glib.la		\
 	$(POPPLER_GLIB_LIBS)				\
 	$(FREETYPE_LIBS)				\
diff -Nurd -x'*~' poppler-0.10.7.orig/poppler-cairo.pc.in poppler-0.10.7/poppler-cairo.pc.in
--- poppler-0.10.7.orig/poppler-cairo.pc.in	2009-05-02 08:14:56.000000000 -0400
+++ poppler-0.10.7/poppler-cairo.pc.in	2011-01-05 16:56:11.000000000 -0500
@@ -6,4 +6,5 @@
 Name: poppler-cairo
 Description: Cairo backend for Poppler PDF rendering library
 Version: @VERSION@
-Requires: poppler = @VERSION@ cairo >= @CAIRO_VERSION@
+Requires: @PC_REQUIRES@
+@PC_REQUIRES_PRIVATE@
diff -Nurd -x'*~' poppler-0.10.7.orig/poppler-qt.pc.in poppler-0.10.7/poppler-qt.pc.in
--- poppler-0.10.7.orig/poppler-qt.pc.in	2009-05-02 08:14:56.000000000 -0400
+++ poppler-0.10.7/poppler-qt.pc.in	2013-03-18 05:22:14.000000000 -0400
@@ -6,7 +6,8 @@
 Name: poppler-qt
 Description: Qt bindings for poppler
 Version: @VERSION@
-Requires: poppler = @VERSION@
+Requires: @PC_REQUIRES@
+@PC_REQUIRES_PRIVATE@
 
 Libs: -L${libdir} -lpoppler-qt
 Cflags: -I${includedir}/poppler/qt3
diff -Nurd -x'*~' poppler-0.10.7.orig/poppler-qt4.pc.in poppler-0.10.7/poppler-qt4.pc.in
--- poppler-0.10.7.orig/poppler-qt4.pc.in	2009-05-02 08:14:56.000000000 -0400
+++ poppler-0.10.7/poppler-qt4.pc.in	2013-03-18 05:22:21.000000000 -0400
@@ -6,7 +6,8 @@
 Name: poppler-qt4
 Description: Qt4 bindings for poppler
 Version: @VERSION@
-Requires: poppler = @VERSION@
+Requires: @PC_REQUIRES@
+@PC_REQUIRES_PRIVATE@
 
 Libs: -L${libdir} -lpoppler-qt4
 Cflags: -I${includedir}/poppler/qt4
diff -Nurd -x'*~' poppler-0.10.7.orig/qt/Makefile.in poppler-0.10.7/qt/Makefile.in
--- poppler-0.10.7.orig/qt/Makefile.in	2009-05-16 11:40:50.000000000 -0400
+++ poppler-0.10.7/qt/Makefile.in	2009-06-26 03:31:15.000000000 -0400
@@ -62,7 +62,7 @@
 libLTLIBRARIES_INSTALL = $(INSTALL)
 LTLIBRARIES = $(lib_LTLIBRARIES)
 am__DEPENDENCIES_1 =
-libpoppler_qt_la_DEPENDENCIES = $(top_builddir)/poppler/libpoppler.la \
+libpoppler_qt_la_DEPENDENCIES = \
 	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
 	$(am__DEPENDENCIES_1)
 am_libpoppler_qt_la_OBJECTS = poppler-document.lo poppler-fontinfo.lo \
@@ -74,7 +74,7 @@
 PROGRAMS = $(noinst_PROGRAMS)
 am_test_poppler_qt_OBJECTS = test-poppler-qt.$(OBJEXT)
 test_poppler_qt_OBJECTS = $(am_test_poppler_qt_OBJECTS)
-test_poppler_qt_DEPENDENCIES = $(top_builddir)/poppler/libpoppler.la \
+test_poppler_qt_DEPENDENCIES = \
 	libpoppler-qt.la $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir) -I$(top_builddir)/poppler
 depcomp = $(SHELL) $(top_srcdir)/depcomp
@@ -294,17 +294,17 @@
 	poppler-private.h
 
 libpoppler_qt_la_LIBADD = \
-	$(top_builddir)/poppler/libpoppler.la	\
+	-lpoppler	\
 	$(POPPLER_QT_LIBS)			\
 	$(FREETYPE_LIBS)			\
 	$(FONTCONFIG_LIBS)
 
-libpoppler_qt_la_LDFLAGS = -version-info 2:0:0
+libpoppler_qt_la_LDFLAGS = -version-info 2:0:0 @create_shared_lib@
 test_poppler_qt_SOURCES = \
        test-poppler-qt.cpp
 
 test_poppler_qt_LDADD = \
-	$(top_builddir)/poppler/libpoppler.la	\
+	-lpoppler	\
 	libpoppler-qt.la			\
 	$(POPPLER_QT_LIBS)			\
 	$(FREETYPE_LIBS)
diff -Nurd -x'*~' poppler-0.10.7.orig/qt4/demos/Makefile.in poppler-0.10.7/qt4/demos/Makefile.in
--- poppler-0.10.7.orig/qt4/demos/Makefile.in	2009-05-16 11:40:50.000000000 -0400
+++ poppler-0.10.7/qt4/demos/Makefile.in	2009-06-26 03:31:15.000000000 -0400
@@ -57,7 +57,7 @@
 	toc.$(OBJEXT) viewer.$(OBJEXT)
 poppler_qt4viewer_OBJECTS = $(am_poppler_qt4viewer_OBJECTS)
 am__DEPENDENCIES_1 =
-am__DEPENDENCIES_2 = $(top_builddir)/poppler/libpoppler.la \
+am__DEPENDENCIES_2 = \
 	$(top_builddir)/qt4/src/libpoppler-qt4.la \
 	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
 poppler_qt4viewer_DEPENDENCIES = $(am__DEPENDENCIES_2)
@@ -261,7 +261,7 @@
 	$(POPPLER_QT4_CFLAGS)
 
 LDADDS = \
-	$(top_builddir)/poppler/libpoppler.la	\
+	-lpoppler	\
 	$(top_builddir)/qt4/src/libpoppler-qt4.la	\
 	$(FONTCONFIG_LIBS)				\
 	$(POPPLER_QT4_LIBS)
diff -Nurd -x'*~' poppler-0.10.7.orig/qt4/src/Makefile.in poppler-0.10.7/qt4/src/Makefile.in
--- poppler-0.10.7.orig/qt4/src/Makefile.in	2009-05-16 11:40:50.000000000 -0400
+++ poppler-0.10.7/qt4/src/Makefile.in	2009-06-26 03:31:15.000000000 -0400
@@ -64,7 +64,7 @@
 LTLIBRARIES = $(lib_LTLIBRARIES)
 am__DEPENDENCIES_1 =
 libpoppler_qt4_la_DEPENDENCIES =  \
-	$(top_builddir)/poppler/libpoppler.la $(am__DEPENDENCIES_1) \
+	$(am__DEPENDENCIES_1) \
 	$(am__DEPENDENCIES_1) $(am__append_1)
 am_libpoppler_qt4_la_OBJECTS = poppler-document.lo poppler-page.lo \
 	poppler-fontinfo.lo poppler-embeddedfile.lo poppler-textbox.lo \
@@ -320,7 +320,7 @@
 	poppler-export.h			\
 	poppler-private.h
 
-libpoppler_qt4_la_LIBADD = $(top_builddir)/poppler/libpoppler.la \
+libpoppler_qt4_la_LIBADD = -lpoppler \
 	$(FONTCONFIG_LIBS) $(POPPLER_QT4_LIBS) $(am__append_1)
 libpoppler_qt4_la_LDFLAGS = -version-info 4:0:1
 all: all-am
diff -Nurd -x'*~' poppler-0.10.7.orig/qt4/tests/Makefile.in poppler-0.10.7/qt4/tests/Makefile.in
--- poppler-0.10.7.orig/qt4/tests/Makefile.in	2009-05-16 11:40:51.000000000 -0400
+++ poppler-0.10.7/qt4/tests/Makefile.in	2009-06-26 03:31:15.000000000 -0400
@@ -80,7 +80,7 @@
 @BUILD_POPPLER_QT4_TRUE@	check_actualtext.$(OBJEXT)
 check_actualtext_OBJECTS = $(am_check_actualtext_OBJECTS)
 am__DEPENDENCIES_1 =
-am__DEPENDENCIES_2 = $(top_builddir)/poppler/libpoppler.la \
+am__DEPENDENCIES_2 = \
 	$(top_builddir)/qt4/src/libpoppler-qt4.la \
 	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
 @BUILD_POPPLER_QT4_TRUE@check_actualtext_DEPENDENCIES =  \
@@ -386,7 +386,7 @@
 	$(POPPLER_QT4_CFLAGS)
 
 LDADDS = \
-	$(top_builddir)/poppler/libpoppler.la	\
+	-lpoppler	\
 	$(top_builddir)/qt4/src/libpoppler-qt4.la	\
 	$(FONTCONFIG_LIBS)				\
 	$(POPPLER_QT4_LIBS)